import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增题库题目
    addbankquestion(data) {
        return request({
            url: '/bank/question',
            method: 'post',
            data
        })
    },
    //修改题库题目
    editbankquestion(data) {
        return request({
            url: '/bank/question/edit',
            method: 'post',
            data
        })
    },
    //查询题目业务层次关系列表
    inquirebankquestionListbusiness(data) {
        return request({
            url: '/bank/question/business/list',
            method: 'get',
            params: data
        })
    },
    //查询题库题目列表
    inquirebankquestionList(data) {
        return request({
            url: '/bank/question/list',
            method: 'get',
            params: data
        })
    },
    //获取题库题目详细信息
    obtainbankquestion(data) {
        return request({
            url: `/bank/question/` + data,
            method: 'get',
        })
    },
}